import Vue from 'vue';
import _ from 'lodash';

import Element from 'element-ui';

import App from './App';
import store from './store';
import router from './router';
import './permission';
import './icons';

import i18n from './lang';
import './styles/element-variables.scss';
import './styles/common.scss';
import filterAll from "./filterAll";

import Qs from "qs";

Vue.prototype.$qs = Qs;
Vue.prototype._ = _;

Vue.use(Element, {
  size: 'medium',
  i18n: (key, value) => i18n.t(key, value)
});

Vue.use(filterAll);

Vue.config.productionTip = false;

new Vue({
  el: '#app',
  router,
  store,
  i18n,
  render: h => h(App)
});
